- Create Application
- Get Export Data
- Get Application
- Get Applications
- Update Application
- Delete Application
POST /api/v1/governance/applicationCreate a new applicationResponseboolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/application" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Create a new application",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
POST /api/v1/governance/application/exportGet Export DataResponseboolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/application/export" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Get Export Data",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
GET /api/v1/governance/application/{applicationId}Get a application by IDPath Parametersstring
required
Example: “
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
string
Example:
"App test pending".string
Example:
"App test pending".string
Example:
"Application Test Check represents a specific processing application within the organization's data ecosystem, responsible for executing defined data processing tasks.".string
string
string
string
string
string
string
string
string
integer
Example:
0.integer
Example:
0.integer
Example:
0.integer
Example:
0.string
string
integer
Example:
0.integer
Example:
1.object[]
string
string
Example:
"READY_FOR_REVIEW".boolean
Example:
true.boolean
Example:
false.string
string
string
string
string
string
Example:
"d61d6dbf-abdd-4d6a-ae80-70afcd60596b".string
Example:
"2026-09-20T05:52:12.346135Z".string
Example:
"2026-09-21T06:39:16.434851Z".string
Example:
"e67fcce2-34f6-48e5-b53c-5c8c4a209d2b".string
Example:
"e67fcce2-34f6-48e5-b53c-5c8c4a209d2b".integer
Example:
0.object[]
object[]
object[]
object[]
string
curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/governance/application/{applicationId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Get a application by ID",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"name": "App test pending",
"qualified_name": "App test pending",
"description": "Application Test Check represents a specific processing application within the organization's data ecosystem, responsible for executing defined data processing tasks.",
"type": null,
"level": null,
"source": null,
"parent_id": null,
"governance_role": null,
"sensitivity_level": null,
"sla_tire": null,
"owner_team": null,
"score": null,
"total_alerts": 0,
"total_issues": 0,
"linked_asset_count": 0,
"linked_metric_count": 0,
"total_likes": null,
"total_dislikes": null,
"total_conversations": 0,
"total_views": 1,
"owner": [],
"user": null,
"status": "READY_FOR_REVIEW",
"is_active": true,
"is_deleted": false,
"freshness_sla": null,
"schema_stability": null,
"definition": null,
"context": null,
"who_should_use_this": null,
"id": "d61d6dbf-abdd-4d6a-ae80-70afcd60596b",
"created_at": "2026-09-20T05:52:12.346135Z",
"modified_at": "2026-09-21T06:39:16.434851Z",
"created_by": "e67fcce2-34f6-48e5-b53c-5c8c4a209d2b",
"modified_by": "e67fcce2-34f6-48e5-b53c-5c8c4a209d2b",
"linked_assets": 0,
"tag": [
{
"id": "186de437-84aa-45f2-ad8a-fea9b0c71526",
"name": "tag1",
"label": "tag1"
}
],
"term": [],
"viewers": [
{
"id": "08ba2090-a236-4538-a671-fca112ca8ad2",
"viewed_at": "2026-09-21T10:32:17.614756+00:00",
"name": null,
"email": "rejeesh@dqlabs.ai"
}
],
"audiences": [],
"recent_conversations": null,
"context_freshness": {
"description": null,
"owner_verified": "2026-09-20T07:58:05.378481Z"
}
}
}
POST /api/v1/governance/application/listGet applications with optional filteringRequest Bodyobject[]
object[]
string
Example:
"".boolean
Example:
false.boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
object[]
string
Example:
"App test pending".string
Example:
"App test pending".string
Example:
"Application Test Check represents a specific processing application within the organization's data ecosystem, responsible for executing defined data processing tasks.".integer
Example:
0.integer
Example:
0.integer
Example:
0.integer
Example:
0.integer
Example:
0.object[]
string
Example:
"READY_FOR_REVIEW".boolean
Example:
true.boolean
Example:
false.string
Example:
"d61d6dbf-abdd-4d6a-ae80-70afcd60596b".string
Example:
"2026-09-20T05:52:12.346135Z".string
Example:
"2026-09-20T07:58:05.332040Z".string
Example:
"e67fcce2-34f6-48e5-b53c-5c8c4a209d2b".string
Example:
"e67fcce2-34f6-48e5-b53c-5c8c4a209d2b".integer
Example:
0.object[]
object[]
object[]
object[]
integer
Example:
37.object[]
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/application/list" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"pagination": {
"page": 1,
"pageSize": 10
},
"sorting": [],
"filters": [],
"search": "",
"export": false
}'
Response
{
"success": true,
"message": "Get applications with optional filtering",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"data": [
{
"name": "App test pending",
"qualified_name": "App test pending",
"description": "Application Test Check represents a specific processing application within the organization's data ecosystem, responsible for executing defined data processing tasks.",
"total_alerts": 0,
"total_issues": 0,
"linked_asset_count": 0,
"linked_metric_count": 0,
"total_conversations": 0,
"owner": [],
"status": "READY_FOR_REVIEW",
"is_active": true,
"is_deleted": false,
"id": "d61d6dbf-abdd-4d6a-ae80-70afcd60596b",
"created_at": "2026-09-20T05:52:12.346135Z",
"modified_at": "2026-09-20T07:58:05.332040Z",
"created_by": "e67fcce2-34f6-48e5-b53c-5c8c4a209d2b",
"modified_by": "e67fcce2-34f6-48e5-b53c-5c8c4a209d2b",
"linked_assets": 0,
"tag": [
{
"id": "c1e3a373-bc8d-59c4-b008-2f24d3abb678",
"name": "PII",
"label": "PII"
}
],
"term": [],
"viewers": [],
"audiences": []
}
],
"total_count": 37,
"metrics": []
}
}
PUT /api/v1/governance/application/{applicationId}Update a applicationPath Parametersstring
required
Example: “
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X PUT "https://<your-workspace>.prizmdata.ai/api/v1/governance/application/{applicationId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Update a application",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
DELETE /api/v1/governance/application/{applicationId}Delete a applicationPath Parametersstring
required
Example: “
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X DELETE "https://<your-workspace>.prizmdata.ai/api/v1/governance/application/{applicationId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Delete a application",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}